Package ch.qos.logback.core.db.dialect

## Class DBUtil

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.core.db.dialect.DBUtil

All Implemented Interfaces:
  `ContextAware`

    public class DBUtil
    extends ContextAwareBase

Author:
  Ceki Gulcu

### Field Summary

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Constructor Summary

Constructors
`DBUtil()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static SQLDialectCode` `discoverSQLDialect​(java.sql.DatabaseMetaData meta)`
`static SQLDialect` `getDialectFromCode​(SQLDialectCode sqlDialectType)`
`boolean` `supportsBatchUpdates​(java.sql.DatabaseMetaData meta)` This method handles cases where the `DatabaseMetaData.supportsBatchUpdates()` method is missing in the JDBC driver implementation.
`boolean` `supportsGetGeneratedKeys​(java.sql.DatabaseMetaData meta)` This method handles cases where the `DatabaseMetaData.supportsGetGeneratedKeys()` method is missing in the JDBC driver implementation.

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DBUtil

    public DBUtil()

### Method Detail

#### discoverSQLDialect

    public static SQLDialectCode discoverSQLDialect​(java.sql.DatabaseMetaData meta)

#### getDialectFromCode

    public static SQLDialect getDialectFromCode​(SQLDialectCode sqlDialectType)

#### supportsGetGeneratedKeys

    public boolean supportsGetGeneratedKeys​(java.sql.DatabaseMetaData meta)

This method handles cases where the `DatabaseMetaData.supportsGetGeneratedKeys()` method is missing in the JDBC driver implementation.

#### supportsBatchUpdates

    public boolean supportsBatchUpdates​(java.sql.DatabaseMetaData meta)

This method handles cases where the `DatabaseMetaData.supportsBatchUpdates()` method is missing in the JDBC driver implementation.